%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	DTS Coherent Acoustics decoder with support for HD extensions
Name:		dcadec
Version:	0.2.0
Release:	1
License:	LGPLv2.1+
Group:		Sound
Url:		https://github.com/foo86/dcadec
Source0:	https://github.com/foo86/dcadec/archive/%{name}-%{version}.tar.gz
Conflicts:	libdca-tools

%description
DTS Coherent Acoustics decoder with support for HD extensions.

%files
%{_bindir}/dcadec

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for DTS Coherent Acoustics decoder
Group:		System/Libraries

%description -n %{libname}
Shared library for DTS Coherent Acoustics decoder.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for DTS Coherent Acoustics decoder
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{name}-devel < 0.2.0
Obsoletes:	%{name}-devel < 0.2.0

%description -n %{devname}
Development files for DTS Coherent Acoustics decoder.

%files -n %{devname}
%dir %{_includedir}/libdcadec/
%{_includedir}/libdcadec/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%setup_compile_flags
%make \
	CONFIG_SHARED=1

%install
%makeinstall_std \
	CONFIG_SHARED=1 \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir}


%changelog

* Mon Feb 22 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.2.0-1
- (9120cc0) New version 0.2.0
- (9120cc0) Build shared library instead of static
- (9120cc0) Properly name development package


